plugins {
    alias(libs.plugins.android.application)
}

android {
    namespace = "com.ujuad.demo"
    compileSdk = 36

    defaultConfig {
        applicationId = "com.ujuad.demo"
        minSdk = 26
        targetSdk = 36
        versionCode = 303
        versionName = "3.0.3"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"

        // 开启多 DEX 支持
        multiDexEnabled = true

        ndk {
            abiFilters.addAll(listOf("armeabi-v7a", "arm64-v8a"))
        }

    }

    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }

    packaging {
        resources {
            excludes += setOf(
                "dump_syms/**",
                "**/dump_syms.bin",
                "linux/dump_syms.bin"
            )
        }
    }
    buildFeatures {
        viewBinding = true
    }


    buildTypes {
        getByName("release") {
            isMinifyEnabled = false
        }

        getByName("debug") {
            isMinifyEnabled = false
        }
    }
}

dependencies {
    // 核心基础
    implementation(libs.androidx.core.ktx)
    implementation(libs.androidx.appcompat)
    implementation(libs.material)
    implementation(libs.androidx.constraintlayout)
    implementation("androidx.preference:preference-ktx:1.2.1")

    // AndroidX 导航组件
    implementation("androidx.navigation:navigation-fragment-ktx:2.5.3")
    implementation("androidx.navigation:navigation-ui-ktx:2.5.3")

    // AndroidX Activity/Fragment
    implementation("androidx.activity:activity-ktx:1.6.1")
    implementation("androidx.fragment:fragment-ktx:1.5.7")
    implementation("androidx.gridlayout:gridlayout:1.0.0")

    implementation(libs.okhttp)
    implementation(libs.logging.interceptor)
    implementation(libs.retrofit)

    implementation(libs.glide)

    // 引入 UJUSDK 库（核心）
    implementation("com.ujusdk:uju-ad-sdk:3.0.3")
    //implementation(files("libs/uju-ad-sdk-3.0.3.aar"))

    // 穿山甲适配器
    implementation("com.ujusdk:uju-csj-adapter:7.4.0.7")
    //implementation(files("libs/uju-csj-adapter-7.4.0.7.aar"))
    // 引入穿山甲SDK
    implementation("com.pangle_beta.cn:mediation-sdk:7.4.0.7")

    // 优量汇适配器
    implementation("com.ujusdk:uju-ylh-adapter:4.662.1532")
    //implementation(files("libs/uju-ylh-adapter-4.662.1532.aar"))
    // 引入优量汇SDK
    implementation("com.qq.e.union:union:4.662.1532")

    // 百度适配器
    implementation("com.ujusdk:uju-bd-adapter:9.42.2")
    //implementation(files("libs/uju-bd-adapter-9.42.2.aar"))
    // 引入百度SDK
    implementation("com.baidu:mobads:9.42.2")

    // 快手适配器
    implementation("com.ujusdk:uju-ks-adapter:4.11.30.1")
    //implementation(files("libs/uju-ks-adapter-4.11.30.1.aar"))
    // 引入快手SDK
    implementation(files("libs/kssdk_4.11.30.1.aar"))


}
